---

# Required variables
# - user
# - platform_id
# - safe_name
# - cyberark_session (using cyberark.pas.cyberark_authentication)
# - instance_ip

############################
#  1. Remove from Cyberark #
############################

- name: "Get {{ user }} SSH key ID"
  cyberark.pas.cyberark_account:
    identified_by: "address,username,platform_id"
    username: "{{ user }}"
    address: "{{ instance_ip }}"
    safe: "{{ safe_name }}"
    platform_id: "{{ platform_id }}"
    secret_type: "key"
    state: present
    cyberark_session: "{{ cyberark_session }}"
  register: getaction
  when: ci_test is not defined

- name: "Delete {{ user }} SSH key"
  uri:
    url: "https://{{ pvwa_url }}/PasswordVault/WebServices/PIMServices.svc/Accounts/{{ getaction.result.result.id }}"
    method: DELETE
    validate_certs: yes
    return_content: yes
    headers:
      Authorization: "{{ cyberark_session.token }}"
    status_code: 200
  when: ci_test is not defined